Upstream information

CVE-2014-1947 at MITRE

Description

Stack-based buffer overflow in the WritePSDImage function in coders/psd.c in ImageMagick 6.5.4 and earlier allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a large number of layers in a PSD image, involving the L%02ld string, a different vulnerability than CVE-2014-2030.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.8
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3.1
SUSE Bugzilla entries: 863838 [RESOLVED / FIXED], 905260 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • ImageMagick >= 6.4.3.6-7.28.1
  • libMagick++1 >= 6.4.3.6-7.28.1
  • libMagickCore1 >= 6.4.3.6-7.28.1
  • libMagickCore1-32bit >= 6.4.3.6-7.28.1
  • libMagickWand1 >= 6.4.3.6-7.28.1
Patchnames:
sledsp3-ImageMagick
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server for SAP Applications 11 SP3
SUSE Linux Enterprise Server for VMWare 11 SP3
  • libMagickCore1 >= 6.4.3.6-7.28.1
  • libMagickCore1-32bit >= 6.4.3.6-7.30.1
Patchnames:
slessp3-ImageMagick
SUSE Linux Enterprise Server 11 SP4
  • libMagickCore1 >= 6.4.3.6-7.30.1
  • libMagickCore1-32bit >= 6.4.3.6-7.30.1
SUSE Linux Enterprise Software Development Kit 11 SP3
  • ImageMagick >= 6.4.3.6-7.28.1
  • ImageMagick-devel >= 6.4.3.6-7.28.1
  • libMagick++-devel >= 6.4.3.6-7.28.1
  • libMagick++1 >= 6.4.3.6-7.28.1
  • libMagickWand1 >= 6.4.3.6-7.28.1
  • libMagickWand1-32bit >= 6.4.3.6-7.28.1
  • perl-PerlMagick >= 6.4.3.6-7.28.1
Patchnames:
sdksp3-ImageMagick
SUSE Linux Enterprise Software Development Kit 11 SP4
  • ImageMagick >= 6.4.3.6-7.30.1
  • ImageMagick-devel >= 6.4.3.6-7.30.1
  • libMagick++-devel >= 6.4.3.6-7.30.1
  • libMagick++1 >= 6.4.3.6-7.30.1
  • libMagickWand1 >= 6.4.3.6-7.30.1
  • libMagickWand1-32bit >= 6.4.3.6-7.30.1
  • perl-PerlMagick >= 6.4.3.6-7.30.1
SUSE Linux Enterprise Software Development Kit 11 SP3
  • ImageMagick >= 6.4.3.6-7.28.1
  • ImageMagick-devel >= 6.4.3.6-7.28.1
  • libMagick++-devel >= 6.4.3.6-7.28.1
  • libMagick++1 >= 6.4.3.6-7.28.1
  • libMagickWand1 >= 6.4.3.6-7.28.1
  • perl-PerlMagick >= 6.4.3.6-7.28.1
Builds
SAT Patch Nr: 8978
SUSE Linux Enterprise Software Development Kit 11 SP3
  • ImageMagick >= 6.4.3.6-7.28.1
  • ImageMagick-devel >= 6.4.3.6-7.28.1
  • libMagick++-devel >= 6.4.3.6-7.28.1
  • libMagick++1 >= 6.4.3.6-7.28.1
  • libMagickWand1 >= 6.4.3.6-7.28.1
  • libMagickWand1-32bit >= 6.4.3.6-7.28.1
  • perl-PerlMagick >= 6.4.3.6-7.28.1
Builds
SAT Patch Nr: 8978
SUSE Linux Enterprise Desktop 11 SP3
  • ImageMagick >= 6.4.3.6-7.28.1
  • libMagick++1 >= 6.4.3.6-7.28.1
  • libMagickCore1 >= 6.4.3.6-7.28.1
  • libMagickWand1 >= 6.4.3.6-7.28.1
Builds
SAT Patch Nr: 8978
SUSE Linux Enterprise Desktop 11 SP3
  • ImageMagick >= 6.4.3.6-7.28.1
  • libMagick++1 >= 6.4.3.6-7.28.1
  • libMagickCore1 >= 6.4.3.6-7.28.1
  • libMagickCore1-32bit >= 6.4.3.6-7.28.1
  • libMagickWand1 >= 6.4.3.6-7.28.1
Builds
SAT Patch Nr: 8978
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libMagickCore1 >= 6.4.3.6-7.28.1
Builds
SAT Patch Nr: 8978
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libMagickCore1 >= 6.4.3.6-7.28.1
  • libMagickCore1-32bit >= 6.4.3.6-7.28.1
Builds
SAT Patch Nr: 8978


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP3 ImageMagick Released
SUSE Linux Enterprise Server 11 SP3 ImageMagick Released
SUSE Linux Enterprise Server 11 SP3 for VMware ImageMagick Released
SUSE Linux Enterprise Software Development Kit 11 SP3 ImageMagick Released